Package org.jsoup.select

# Class CombiningEvaluator

java.lang.Object
org.jsoup.select.Evaluator
org.jsoup.select.CombiningEvaluator

Direct Known Subclasses:
  `CombiningEvaluator.And`, `CombiningEvaluator.Or`

public abstract class CombiningEvaluator extends Evaluator
Base combining (and, or) evaluator.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`CombiningEvaluator.And`
`static final class`
`CombiningEvaluator.Or`

## Nested classes/interfaces inherited from class org.jsoup.select.Evaluator

`Evaluator.AllElements, Evaluator.Attribute, Evaluator.AttributeKeyPair, Evaluator.AttributeStarting, Evaluator.AttributeWithValue, Evaluator.AttributeWithValueContaining, Evaluator.AttributeWithValueEnding, Evaluator.AttributeWithValueMatching, Evaluator.AttributeWithValueNot, Evaluator.AttributeWithValueStarting, Evaluator.Class, Evaluator.ContainsData, Evaluator.ContainsOwnText, Evaluator.ContainsText, Evaluator.ContainsWholeOwnText, Evaluator.ContainsWholeText, Evaluator.CssNthEvaluator, Evaluator.Id, Evaluator.IndexEquals, Evaluator.IndexEvaluator, Evaluator.IndexGreaterThan, Evaluator.IndexLessThan, Evaluator.IsEmpty, Evaluator.IsFirstChild, Evaluator.IsFirstOfType, Evaluator.IsLastChild, Evaluator.IsLastOfType, Evaluator.IsNthChild, Evaluator.IsNthLastChild, Evaluator.IsNthLastOfType, Evaluator.IsNthOfType, Evaluator.IsOnlyChild, Evaluator.IsOnlyOfType, Evaluator.IsRoot, Evaluator.Matches, Evaluator.MatchesOwn, Evaluator.MatchesWholeOwnText, Evaluator.MatchesWholeText, Evaluator.MatchText, Evaluator.Tag, Evaluator.TagEndsWith`

## Method Summary

### Methods inherited from class org.jsoup.select.Evaluator

`matches`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`